#pragma once
#include "levelmanager.hpp"
#include <SFML/Graphics/RenderWindow.hpp>
#include <SFML/Graphics/Font.hpp>
#include "guecs.hpp"
#include "textures.hpp"
#include <SFML/System/Clock.hpp>

// aspect ratio of art is 3/2 so 1.5
// possible sizes:  900/600; 1620/1080; 1800/1200
// To calculate it do short side * 1.5 so 1080 * 1.5 == 1620
//
// Side panel = 300/1080

namespace gui {
  using namespace guecs;
  using std::string;

  class BossFightUI {
    public:
      sf::Clock $clock;
      bool $boss_hit = false;
      guecs::UI $status;
      guecs::UI $overlay;
      textures::SpriteTexture $boss_image;

      BossFightUI();

      void init();
      void render(sf::RenderWindow& window);
      bool mouse(float x, float y);
      void bounce_boss(sf::RenderWindow& window);
  };
}
